%define realname libnids
Name: %{realname}2
Version: 1.18
#%%define rc_ver rc1
Release: alt1%{?rc_ver:.%rc_ver}

Summary: Libnids is a library that provides a functionality of one of NIDS components
License: GPL
Group: Development/C
Url: http://libnids.sourceforge.net
Packager: Dmitry V. Levin <ldv@altlinux.org>

%define srcname %realname-%version
Source: ftp://unc.dl.sourceforge.net:/sourceforge/libnids/%srcname%{?rc_ver:%rc_ver}.tar.bz2
Patch1: %realname-1.18-alt-configure.patch
Patch2: %realname-1.18-alt-soname.patch

Provides: %realname = %version-%release
Obsoletes: %realname

BuildPreReq: autoconf = 2.13

# Automatically added by buildreq on Wed Oct 30 2002
BuildRequires: libnet2-devel libpcap-devel

%package devel
Summary: Development environment for %realname
Group: Development/C
Provides: %realname-devel = %version-%release
Obsoletes: %realname-devel
Conflicts: %{realname}1-devel
Requires: %name = %version-%release, libnet2-devel, libpcap-devel

%package devel-static
Summary: Development environment for %realname
Group: Development/C
Provides: %realname-devel-static = %version-%release
Obsoletes: %realname-devel-static
Conflicts: %{realname}1-devel-static
Requires: %name-devel = %version-%release, libnet2-devel-static, libpcap-devel-static

%description
Libnids is a library that provides a functionality of one of NIDS
(Network Intrusion Detection System) components, namely E-component.
It means that libnids code watches all local network traffic, cooks
received datagrams a bit (quite a bit ;)), and provides convinient
information on them to analyzing modules of NIDS.  Libnids performs:
+ assembly of TCP segments into TCP streams;
+ IP defragmentation;
+ TCP port scan detection.
More technical info can be found in MISC file.

So, if you intend to develop a custom NIDS, you don't have to build
low-level network code.  If you decide to use libnids, you have got
E-component ready - you can focus on implementing other parts of NIDS.

%description devel
Libnids is a library that provides a functionality of one of NIDS
(Network Intrusion Detection System) components, namely E-component.

This package contains the header files and libraries needed
to develop programs that use the Libnids library.

%description devel-static
Libnids is a library that provides a functionality of one of NIDS
(Network Intrusion Detection System) components, namely E-component.

This package contains Libnids static library.

%prep
%setup -q -n %srcname
%patch1 -p1
%patch2 -p1

%build
%set_autoconf_version 2.13
autoconf
export ac_cv_lib_nsl_gethostbyname=no
%configure --enable-shared
%make_build

%install
%makeinstall
%define _customdocdir %_docdir/%realname-%version

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc CHANGES CREDITS MISC README doc/*
%_libdir/*.so.*

%files devel
%_includedir/*
%_mandir/man?/*
%_libdir/*.so

%files devel-static
%_libdir/*.a

%changelog
* Sat Oct 18 2003 Dmitry V. Levin <ldv@altlinux.org> 1.18-alt1
- Updated to 1.18.

* Sun Nov 24 2002 Dmitry V. Levin <ldv@altlinux.org> 1.17-alt0.1.rc1
- Updated to 1.17rc1.
- Dropped all patches (obsolete or merged upstream).
- Fixed -I/usr/include compilation warnings.
- Changed soname and renamed to libnids2.

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.16-alt3
- Rebuilt with libpcap-0.7.1.

* Tue Feb 05 2002 Stanislav Ievlev <inger@altlinux.ru> 1.16-alt2
- added patches from Owl and PLD.

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 1.16-alt1
- 1.16

* Fri Jan 05 2001 Dmitry V. Levin <ldv@fandra.org> 1.13-ipl1
- FHSification.

* Wed Mar 15 2000 Dmitry V. Levin <ldv@fandra.org>
- Initial revision.
